Loading...
Searching...
No Matches
simpleMolecularGraph.h File Reference
`#include <BALL/KERNEL/atom.h>`
`#include <BALL/KERNEL/bond.h>`
`#include <BALL/KERNEL/molecule.h>`
`#include <BALL/KERNEL/fragment.h>`
`#include <list>`
`#include <iostream>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | BALL::NodeItem< Node, Edge >
class | BALL::EdgeItem< Node, Edge >
class | BALL::TSimpleMolecularGraph< Node, Edge >

## Namespaces

namespace | BALL

## Typedefs

typedef TSimpleMolecularGraph< Index, Index > | BALL::SimpleMolecularGraph

## Functions

template<typename Node, typename Edge>
std::ostream & | BALL::operator<< (std::ostream &os, const TSimpleMolecularGraph< Node, Edge > &G)